using UnityEngine;
using System.Collections;

public class baseFSM : MonoBehaviour
{
    protected virtual void Initialize() { }
    protected virtual void FSMUpdate() { }
    protected virtual void FSMFixedUpdate() { }
    
    public float nextFire;
    public float fireRate;
    public float movementSpeed;
    public Transform[] targetTransform;
    public int randomTransformPoint;
    public GameObject target;

   // public GameObject explosionPlayer;
    //public GameObject explosionEnemy;

    public Animator anim;
    // Use this for initialization
    void Start()
    {
        target = GameObject.FindGameObjectWithTag("Player");
        anim = GetComponent<Animator>();
       randomTransformPoint = Random.Range(0, targetTransform.Length);
        Initialize();
        //Debug.Log(randomTransformPoint);
    }

    // Update is called once per frame
    void Update()
    {
        FSMUpdate();
    }

    void FixedUpdate()
    {
        FSMFixedUpdate();
    }

    void OnTriggerEnter2D(Collider2D other)
    {

    }

    void OnTriggerExit2D(Collider2D other)
    {

    }
}
